Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.xml.xmp
Class XmpArray

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList
                  com.lowagie.text.xml.xmp.XmpArray

All Implemented Interfaces:
  Serializable, Cloneable, Iterable, Collection, List, RandomAccess

    public class XmpArray

extends ArrayList

StringBuffer to construct an XMP array.

See Also:
  Serialized Form

Field Summary
`static String` | `ALTERNATIVE` An array with alternatives.
`static String` | `ORDERED` An array that is ordered.
`private static long` | `serialVersionUID`
`protected String` | `type` the type of array.
`static String` | `UNORDERED` An array that is unordered.

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`XmpArray(String type)` Creates an XmpArray.

Method Summary
`String` | `toString()` Returns the String representation of the XmpArray.

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### UNORDERED

    public static final String UNORDERED

  An array that is unordered.

  See Also:
    Constant Field Values

### ORDERED

    public static final String ORDERED

  An array that is ordered.

  See Also:
    Constant Field Values

### ALTERNATIVE

    public static final String ALTERNATIVE

  An array with alternatives.

  See Also:
    Constant Field Values

### type

    protected String type

  the type of array.

Constructor Detail

### XmpArray

    public XmpArray(String type)

  Creates an XmpArray.

  Parameters:
    `type` - the type of array: UNORDERED, ORDERED or ALTERNATIVE.

Method Detail

### toString

    public String toString()

  Returns the String representation of the XmpArray.

  Overrides:
    `toString` in class `AbstractCollection`
  Returns:
    a String representation

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD